Package com.pixelmed.dose

# Enum Class RecordingDeviceObserverContext.Key

java.lang.Object
java.lang.Enum<RecordingDeviceObserverContext.Key>
com.pixelmed.dose.RecordingDeviceObserverContext.Key

All Implemented Interfaces:
  `Serializable`, `Comparable<RecordingDeviceObserverContext.Key>`, `Constable`

Enclosing class:
  RecordingDeviceObserverContext

public static enum RecordingDeviceObserverContext.Key extends Enum<RecordingDeviceObserverContext.Key>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEVICE`
`LOCATION`
`MANUFACTURER`
`MODEL_NAME`
`NAME`
`SERIAL_NUMBER`
`UID`

## Method Summary

Modifier and Type
Method
Description
`static RecordingDeviceObserverContext.Key`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RecordingDeviceObserverContext.Key[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEVICE

public static final RecordingDeviceObserverContext.Key DEVICE

### UID

public static final RecordingDeviceObserverContext.Key UID

### NAME

public static final RecordingDeviceObserverContext.Key NAME

### MANUFACTURER

public static final RecordingDeviceObserverContext.Key MANUFACTURER

### MODEL_NAME

public static final RecordingDeviceObserverContext.Key MODEL_NAME

### SERIAL_NUMBER

public static final RecordingDeviceObserverContext.Key SERIAL_NUMBER

### LOCATION

public static final RecordingDeviceObserverContext.Key LOCATION

## Method Details

### values

public static RecordingDeviceObserverContext.Key[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RecordingDeviceObserverContext.Key valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null